interactions:
- request:
    body: null
    headers:
      Cookie:
      - GeoIP=US:::37.75:-97.82:v4; WMF-Last-Access=12-Sep-2022; WMF-Last-Access-Global=12-Sep-2022
      User-Agent:
      - mwapi (python) -- default user-agent
    method: GET
    uri: https://en.wikipedia.org/w/api.php?action=query&formatversion=2&list=users&usprop=editcount%7Cgroups%7Cregistration&ususerids=0&format=json
  response:
    body:
      string: '{"batchcomplete":true,"query":{"users":[{"userid":0,"missing":true}]}}'
    headers:
      Accept-Ranges:
      - bytes
      Age:
      - '0'
      Cache-Control:
      - private, must-revalidate, max-age=0
      Content-Disposition:
      - inline; filename=api-result.json
      Content-Length:
      - '70'
      Content-Type:
      - application/json; charset=utf-8
      Date:
      - Tue, 13 Sep 2022 12:50:25 GMT
      Server:
      - mw1444.eqiad.wmnet
      Set-Cookie:
      - WMF-Last-Access=13-Sep-2022;Path=/;HttpOnly;secure;Expires=Sat, 15 Oct 2022
        12:00:00 GMT
      - WMF-Last-Access-Global=13-Sep-2022;Path=/;Domain=.wikipedia.org;HttpOnly;secure;Expires=Sat,
        15 Oct 2022 12:00:00 GMT
      Vary:
      - Accept-Encoding,Treat-as-Untrusted,X-Forwarded-Proto,Cookie,Authorization
      accept-ch:
      - Sec-CH-UA-Arch,Sec-CH-UA-Bitness,Sec-CH-UA-Full-Version-List,Sec-CH-UA-Model,Sec-CH-UA-Platform-Version
      nel:
      - '{ "report_to": "wm_nel", "max_age": 86400, "failure_fraction": 0.05, "success_fraction":
        0.0}'
      permissions-policy:
      - interest-cohort=(),ch-ua-arch=(self "intake-analytics.wikimedia.org"),ch-ua-bitness=(self
        "intake-analytics.wikimedia.org"),ch-ua-full-version-list=(self "intake-analytics.wikimedia.org"),ch-ua-model=(self
        "intake-analytics.wikimedia.org"),ch-ua-platform-version=(self "intake-analytics.wikimedia.org")
      report-to:
      - '{ "group": "wm_nel", "max_age": 86400, "endpoints": [{ "url": "https://intake-logging.wikimedia.org/v1/events?stream=w3c.reportingapi.network_error&schema_uri=/w3c/reportingapi/network_error/1.0.0"
        }] }'
      server-timing:
      - cache;desc="pass", host;desc="cp1083"
      strict-transport-security:
      - max-age=106384710; includeSubDomains; preload
      x-cache:
      - cp1083 miss, cp1083 pass
      x-cache-status:
      - pass
      x-client-ip:
      - 2620:0:861:108:10:64:53:30
      x-content-type-options:
      - nosniff
      x-frame-options:
      - SAMEORIGIN
    status:
      code: 200
      message: OK
    url: https://en.wikipedia.org/w/api.php?action=query&formatversion=2&list=users&usprop=editcount%7Cgroups%7Cregistration&ususerids=0&format=json
version: 1
